Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Mark Brown <[email-masked]>
Date: Thu, 23 Apr 2020 12:30:41 +0100

On Thu, Apr 23, 2020 at 03:55:39PM +1000, Stephen Rothwell wrote:

> Presumably caused by (one of) commits

>   fe17e6cdc0fe ("ASoC: SOF: imx8: Fix randbuild error")
>   cb0312f61c3e ("ASoC: SOF: imx: fix undefined reference issue")

> I just removed the COMPILE_TEST from SND_SOC_SOF_IMX_TOPLEVEL for today.

It looks like this is triggered by PowerPC not including
drivers/firmware - there are missing dependencies but it works for other
all*configs since the dependencies all get built in those.  It would be
helpful if PowerPC were fixed to include the firmware directory to
improve coverage.